Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.adapter.util
Class DefaultMessageBundle

    java.lang.Object
      |
      +--java.util.ResourceBundle
            |
            +--java.util.ListResourceBundle
                  |
                  +--com.bea.adapter.util.DefaultMessageBundle

public class DefaultMessageBundle
extends java.util.ListResourceBundle

Provides messages to ADK classes when there is no available ResourceBundle from the environment. These are typically error messages that only the adapter developer will see anyway.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static java.lang.String` | `CONNECTION_PING_FAILED`
`static java.lang.String` | `EMPTY_CONTEXT` Key used to locate the message for indicating the value for a log context was "" empty and hence invalid.
`static java.lang.String` | `ERROR_CLOSING_CONNECTION`
`static java.lang.String` | `INVALID_CONNECTION_URL`
`static java.lang.String` | `INVALID_CONTEXT` Key used to locate the message for indicating the value for a log context was null and hence invalid.
`static java.lang.String` | `INVALID_COUNTRY_CODE` Key used to locate the message for indicating that the value supplied for a country code is not valid.
`static java.lang.String` | `INVALID_LANGUAGE_CODE` Key used to locate the message for indicating that the value supplied for a language code is not valid.
`static java.lang.String` | `INVALID_LICENSE` Key used to locate the message stating that there is no valid license available in the runtime environment for the resource adapter.
`static java.lang.String` | `INVALID_LOG_CONFIG_FILE`
`static java.lang.String` | `INVALID_LOG_LEVEL`
`static java.lang.String` | `INVALID_MESSAGE_BUNDLE_BASE`
`static java.lang.String` | `INVALID_PASSWORD`
`static java.lang.String` | `INVALID_PORT_NUMBER`
`static java.lang.String` | `INVALID_ROOT_LOG_CONTEXT` Key used to locate the message stating that the base log context for the resource adapter is null or empty and is thus invalid.
`static java.lang.String` | `INVALID_SERVER_NAME`
`static java.lang.String` | `INVALID_STATE_EXCEPTION`
`static java.lang.String` | `INVALID_USER_NAME`
`static java.lang.String` | `LOG_CONFIG_FILE_NOT_SET`
`static java.lang.String` | `MESSAGE_BUNDLE_BASE_NOT_SET`
`static java.lang.String` | `MISSING_LOG_CONFIG`
`static java.lang.String` | `MISSING_RESOURCE_BUNDLE` Key used to locate the message stating that the message bundle for a resource adapter cannot be located on the classpath.
`static java.lang.String` | `NON_CONNECTION_EXCEPTION_WHILE_PINGING`
`static java.lang.String` | `NULL_ARGUMENT`
`static java.lang.String` | `NULL_PRINTWRITER`
`static java.lang.String` | `ROOT_LOG_CONTEXT_NOT_SET`
`static java.lang.String` | `WEBLOGIC_APPENDER_INIT_ERROR`
`static java.lang.String` | `WEBLOGIC_APPENDER_LOG`

Fields inherited from class java.util.ResourceBundle
`parent`

Constructor Summary
`DefaultMessageBundle()`

Method Summary
`java.lang.Object[][]` | `getContents()`

Methods inherited from class java.util.ListResourceBundle
`getKeys, handleGetObject`

Methods inherited from class java.util.ResourceBundle
`getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INVALID_MESSAGE_BUNDLE_BASE

    public static final java.lang.String INVALID_MESSAGE_BUNDLE_BASE

### INVALID_LOG_CONFIG_FILE

    public static final java.lang.String INVALID_LOG_CONFIG_FILE

### MESSAGE_BUNDLE_BASE_NOT_SET

    public static final java.lang.String MESSAGE_BUNDLE_BASE_NOT_SET

### LOG_CONFIG_FILE_NOT_SET

    public static final java.lang.String LOG_CONFIG_FILE_NOT_SET

### ROOT_LOG_CONTEXT_NOT_SET

    public static final java.lang.String ROOT_LOG_CONTEXT_NOT_SET

### NULL_ARGUMENT

    public static final java.lang.String NULL_ARGUMENT

### INVALID_LOG_LEVEL

    public static final java.lang.String INVALID_LOG_LEVEL

### INVALID_ROOT_LOG_CONTEXT

    public static final java.lang.String INVALID_ROOT_LOG_CONTEXT

  Key used to locate the message stating that the base log context for the resource adapter is null or empty and is thus invalid.

### MISSING_RESOURCE_BUNDLE

    public static final java.lang.String MISSING_RESOURCE_BUNDLE

  Key used to locate the message stating that the message bundle for a resource adapter cannot be located on the classpath. The message for this key is provided by com.bea.adapter.util.DefaultMessageBundle_language_country where language is the default language code for the JVM and country is the default country code for the JVM.

### INVALID_LICENSE

    public static final java.lang.String INVALID_LICENSE

  Key used to locate the message stating that there is no valid license available in the runtime environment for the resource adapter.

### INVALID_LANGUAGE_CODE

    public static final java.lang.String INVALID_LANGUAGE_CODE

  Key used to locate the message for indicating that the value supplied for a language code is not valid.

### INVALID_COUNTRY_CODE

    public static final java.lang.String INVALID_COUNTRY_CODE

  Key used to locate the message for indicating that the value supplied for a country code is not valid.

### INVALID_CONTEXT

    public static final java.lang.String INVALID_CONTEXT

  Key used to locate the message for indicating the value for a log context was null and hence invalid.

### EMPTY_CONTEXT

    public static final java.lang.String EMPTY_CONTEXT

  Key used to locate the message for indicating the value for a log context was "" empty and hence invalid.

### INVALID_STATE_EXCEPTION

    public static final java.lang.String INVALID_STATE_EXCEPTION

### INVALID_USER_NAME

    public static final java.lang.String INVALID_USER_NAME

### INVALID_PASSWORD

    public static final java.lang.String INVALID_PASSWORD

### INVALID_SERVER_NAME

    public static final java.lang.String INVALID_SERVER_NAME

### INVALID_PORT_NUMBER

    public static final java.lang.String INVALID_PORT_NUMBER

### INVALID_CONNECTION_URL

    public static final java.lang.String INVALID_CONNECTION_URL

### MISSING_LOG_CONFIG

    public static final java.lang.String MISSING_LOG_CONFIG

### NULL_PRINTWRITER

    public static final java.lang.String NULL_PRINTWRITER

### WEBLOGIC_APPENDER_INIT_ERROR

    public static final java.lang.String WEBLOGIC_APPENDER_INIT_ERROR

### WEBLOGIC_APPENDER_LOG

    public static final java.lang.String WEBLOGIC_APPENDER_LOG

### CONNECTION_PING_FAILED

    public static final java.lang.String CONNECTION_PING_FAILED

### NON_CONNECTION_EXCEPTION_WHILE_PINGING

    public static final java.lang.String NON_CONNECTION_EXCEPTION_WHILE_PINGING

### ERROR_CLOSING_CONNECTION

    public static final java.lang.String ERROR_CLOSING_CONNECTION

Constructor Detail

### DefaultMessageBundle

    public DefaultMessageBundle()

Method Detail

### getContents

    public java.lang.Object[][] getContents()

  Overrides:
    getContents in class java.util.ListResourceBundle

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)